# BatchTest

Scans a list of files given by the fileset attribute, extracts valid test cases

author | Michiel Rook mrook@php.net
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Create a new batchtest instance

    __construct(\Project $project)

### Arguments

#### $project

`\Project`

## Add a new fileset containing the XML results to aggregate.

    addFileSet(\FileSet $fileset) : void

### Arguments

#### $fileset

`\FileSet`

the new fileset containing XML results.

## Creates a new Path object.

    createClasspath() : \Path

### Response

`\Path`

## Returns an array of test cases and test suites that are declared by the files included by the filesets

    elements() : array

### Response

`array`

an array of tests.

## Filters an array of classes, removes all classes that are not test cases or test suites, or classes that are declared abstract.

    filterTests(object $input) : boolean

### Arguments

#### $input

`object`

### Response

`boolean`

## Returns the classpath.

    getClasspath() : \Path

### Response

`\Path`

## Iterate over all filesets and return the filename of all files.

    getFilenames() : array

### Response

`array`

an array of filenames

## Checks wheter $input is a PHPUnit Test.

    isTestCase( $input) : boolean

### Arguments

#### $input

``

### Response

`boolean`

## Sets the classpath.

    setClasspath(\Path $classpath) : void

### Arguments

#### $classpath

`\Path`

## Sets the classes to exclude.

    setExclude(string $exclude) : void

### Arguments

#### $exclude

`string`

## Sets the name of the batchtest/suite

    setName( $name)

### Arguments

#### $name

``

### Properties

## The list of filesets containing the testcase filename rules.

    filesets : array

var |

### Type(s)

`array`

## the reference to the project

    project :

### Type(s)

``

## the classpath to use with Phing::__import() calls

    classpath :

### Type(s)

``

## names of classes to exclude

    excludeClasses :

### Type(s)

``

## name of the batchtest/suite

    name :

### Type(s)

``